
Figure - Bug #116780
【AF】【EVT1】【ST】【Memory】【3/3】文件屡次停止运行，且内容无法删除
2023-03-07 16:26 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-07

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0079.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-10

Test Type: ST Root cause: 编码问题

Description

【步骤】

当前复现的前情为：

首先在网页端下载爱奇艺客户端安卓版 -> 64位尝鲜版

进入文件查看

点击下载的apk，提示解析软件包时出错，无法安装

尝试删除apk，删除失败

反复多次打开apk，并尝试删除

然后就提示了“文件屡次停止运行”

【预期】

不出现该弹窗

可以正常删除apk

【实际】

弹出了文件屡次停止运行的弹窗

且下载的apk无法删除

【日志与截图】

如附件所示

History

#1 - 2023-03-07 17:59 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

Hi 王营

之前黄鹏有处理过类似的问题，请帮忙检查，感谢

#2 - 2023-03-16 20:01 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to 移动测试一组_CDTS 刘强
未复现此问题，请提供具体下载apk的网页地址和崩溃时的Logcat信息

#3 - 2023-04-08 17:03 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#4 - 2023-04-08 17:26 - CD TPM-王祥林

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

需要确认为什么抓不到日志

#5 - 2023-04-10 17:46 - CD TPM-王祥林

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TPM-王祥林 to CD APP-王营

王营

1.确认一下是否是tlog缺失。

2.更新一下日志分析结论，下一步AI。

#6 - 2023-04-10 18:23 - CD APP-王宏

03-02 06:26:39.268 14426 14426 E AndroidRuntime: FATAL EXCEPTION: main

03-02 06:26:39.268 14426 14426 E AndroidRuntime: Process: com.android.documentsui:com.android.documentsui.services, PID: 14426

03-02 06:26:39.268 14426 14426 E AndroidRuntime: java.lang.NumberFormatException: For input string: "msf:56" 

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at java.lang.Long.parseLong(Long.java:594)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at java.lang.Long.valueOf(Long.java:808)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at com.android.documentsui.util.FileUtils.getFilePathByUri(FileUtils.java:56)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at com.android.documentsui.services.FileOperationService.checkDeleteResult(FileOperationService.java:593)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at com.android.documentsui.services.FileOperationService.cleanUpNotification(FileOperationService.java:469)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at com.android.documentsui.services.FileOperationService.lambda$onFinished$0(FileOperationService.java:423)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at

com.android.documentsui.services.FileOperationService.$r8$lambda$055AYgx3B_x86IfVHJiTE-ZNMPo(Unknown Source:0)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at com.android.documentsui.services.FileOperationService$$ExternalSyntheticLambda2.run(Unknown Source:4)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

03-02 06:26:39.268 14426 14426 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#7 - 2023-04-10 18:26 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED
- Fixed Version set to 2023-04-10

- Root cause set to 编码问题

■ Current conclusion

已入库

■ My analysis

已经跟随 https://share.thundersoft.com/redmine/issues/117143 解决了

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/190796

#8 - 2023-04-11 15:54 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：0090

验证结果：未复现

#9 - 2023-04-11 15:54 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

文件屡次停止.png 92 KB 2023-03-07 移动测试一组_CDTS 刘强

tlog_8c7283e_014_0302062939.tar.gz 20.3 MB 2023-03-07 移动测试一组_CDTS 刘强
